﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    fileType       = 'MSI'
    url            = 'https://dev.mysql.com/get/Downloads/Connector-Net/mysql-connector-net-8.0.30.msi'

    softwareName   = 'mysql connector net*'

    checksum       = 'b39784642494ea584462298b006e93f88599eacaabc6ee6d6ed1f0e60fd75d33'
    checksumType   = 'SHA256'

    silentArgs     = '/qn'
    validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
